#version 330 core

uniform vec3 uAmbientColor;
uniform sampler2D texture1;

in vec4 vColor;
in vec2 texCoord;

void main(void) {
	vec3 vLightIntenzity = uAmbientColor;
	vec4 c = vec4(vColor.rgb * vLightIntenzity, vColor.a);
	if (uAmbientColor.r + uAmbientColor.g + uAmbientColor.b > 0.0) {
		gl_FragColor = mix(texture(texture1, texCoord), c, 0.5);
	}
	else {
		gl_FragColor = texture(texture1, texCoord);
	}
}
